package com.steerinfo.ems.ifmesemsswapfile.mapper;

import com.steerinfo.ems.ifmesemsswapfile.model.IfMesEmsSwapfile;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface IfMesEmsSwapfileMapper extends IBaseMapper<IfMesEmsSwapfile, String> {
    int insert(IfMesEmsSwapfile model);

    int updateStatus(HashMap<String, Object> model);

    List<IfMesEmsSwapfile> selectNewMaterial(HashMap<String, Object> model);

    BigDecimal getSUM(HashMap<String, Object> model);

    List<Map<String, Object>> getQueryList(HashMap<String, Object> parmas);

    List<Map<String, Object>> queryProductAndMaterial(HashMap<String, Object> parmas);

    int updateProductAndMaterial(HashMap<String, Object> parmas);
}